#!/usr/bin/env python

from MoinMessage import Message
from email.mime.multipart import MIMEMultipart
from email.mime.text import MIMEText
import sys

if __name__ == "__main__":
    try:
        type = sys.argv[1]
        action = sys.argv[2]
        args = sys.argv[3:]
    except IndexError:
        args = None

    if not args:
        print >>sys.stderr, "Need an update type, update action and some updates as arguments to this program."
        sys.exit(1)

    message = Message()
    parts = []

    # Add each content fragment as either a separate update to a collection of
    # updates or as an alternative part to a single update.

    for arg in args:
        part = MIMEText(arg, "moin", sys.stdin.encoding)
        if type == "collection":
            part["Update-Action"] = action
            message.add_update(part)
        else:
            parts.append(part)

    if type != "collection":
        multipart = message.get_update(parts)
        multipart["Update-Action"] = action
        message.add_update(multipart)

    text = message.get_payload()
    print text

# vim: tabstop=4 expandtab shiftwidth=4
